<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.428
Name: Tumor marking
Description: Template: Tumor marking
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000">
   <title>Tumor marking</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]
Item: (Tumormarking)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]"
         id="tmp-r-ab36a89f-c8eb-48cf-b8d9-29d44122e304">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="string(@classCode)='OBS'">(Tumormarking): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="string(@moodCode)='EVN'">(Tumormarking): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428'])&gt;=1 ">(Tumormarking): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428'])&lt;=1">(Tumormarking): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&gt;=1 and not(hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]/@nullFlavor)">(Tumormarking): element hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')])&lt;=1">(Tumormarking): element hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:value)&gt;=1 ">(Tumormarking): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="count(hl7:value)&lt;=1">(Tumormarking): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']"
         id="tmp-r-19b76214-1ad0-4484-8e0e-35e4ea386617">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tumormarking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.428'">(Tumormarking): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.428' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:code[(@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')]"
         id="tmp-r-da09cbcb-6937-4ba0-b553-6b28619522e0">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tumormarking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="@nullFlavor or (@code='C145150' and @codeSystem='2.16.840.1.113883.2.4.3.36.77.5.200')">(Tumormarking): de elementwaarde MOET zijn code 'C145150' codeSystem '2.16.840.1.113883.2.4.3.36.77.5.200'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.428
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:value
Item: (Tumormarking)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.428']]/hl7:value"
         id="tmp-r-33fca159-98f5-40ff-840b-c559e00ae369">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20140825T223407/tmp-2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='BL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Tumormarking): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:BL" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="BL"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
