<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for POCD_MT000040NL - Gestructureerde gegevensvastlegging Coloscopie audit </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces -->
   <ns uri="urn:oid:2.16.840.1.113883.2.4.6.10.35.81" prefix="lab"/>
   <ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!-- Include realm specific schematron -->
   <!-- Include datatype abstract schematrons -->
   <pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_AD.DE.sch"/>
      <include href="include/DTr1_AD.EPSOS.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ENXP.sch"/>
      <include href="include/DTr1_ADXP.sch"/>
      <include href="include/DTr1_thumbnail.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_BN.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CO.EPSOS.sch"/>
      <include href="include/DTr1_PQR.sch"/>
      <include href="include/DTr1_CV.EPSOS.sch"/>
      <include href="include/DTr1_EIVL.event.sch"/>
      <include href="include/DTr1_CE.EPSOS.sch"/>
      <include href="include/DTr1_CD.EPSOS.sch"/>
      <include href="include/DTr1_CR.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
      <include href="include/DTr1_II.EPSOS.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_IVXB_INT.sch"/>
      <include href="include/DTr1_SXCM_INT.sch"/>
      <include href="include/DTr1_IVL_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_MO.sch"/>
      <include href="include/DTr1_IVXB_MO.sch"/>
      <include href="include/DTr1_SXCM_MO.sch"/>
      <include href="include/DTr1_IVL_MO.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_IVXB_PQ.sch"/>
      <include href="include/DTr1_SXCM_PQ.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_REAL.sch"/>
      <include href="include/DTr1_IVXB_REAL.sch"/>
      <include href="include/DTr1_SXCM_REAL.sch"/>
      <include href="include/DTr1_IVL_REAL.sch"/>
      <include href="include/DTr1_REAL.NONNEG.sch"/>
      <include href="include/DTr1_REAL.POS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_IVXB_TS.sch"/>
      <include href="include/DTr1_SXCM_TS.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_IVL_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.sch"/>
      <include href="include/DTr1_TS.EPSOS.TZ.OPT.sch"/>
      <include href="include/DTr1_RTO_PQ_PQ.sch"/>
      <include href="include/DTr1_RTO_QTY_QTY.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_SD.TEXT.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TEL.AT.sch"/>
      <include href="include/DTr1_TEL.EPSOS.sch"/>
      <include href="include/DTr1_URL.NL.EXTENDED.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario dgea-cols2014 -->

   <!-- nspbcmdl2014 -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.11-2014-01-06T000000.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



   <!-- includes -->
   <!-- CDAauthor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.100-2012-07-04T000000.sch"/>
   <!-- ClinicalInformationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.200-2012-04-10T000000.sch"/>
   <!-- SalutationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.201-2012-07-04T000000.sch"/>
   <!-- ProcedureIndicationsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.202-2014-01-06T000000.sch"/>
   <!-- ProcedureDescriptionSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.203-2014-07-15T000000.sch"/>
   <!-- ProcedureFindingsSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.204-2014-02-21T000000.sch"/>
   <!-- AssessmentSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.205-2014-02-09T000000.sch"/>
   <!-- Specialtreatmentsandproceduressection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.206-2012-04-10T000000.sch"/>
   <!-- PlanOfCareSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.207-2012-07-04T000000.sch"/>
   <!-- ConclusionColonoscopySection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.sch"/>
   <!-- ConclusionPathologySection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.209-2012-07-04T000000.sch"/>
   <!-- GrossObservationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.210-2012-04-10T000000.sch"/>
   <!-- MicroscopicObservationSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.211-2012-04-10T000000.sch"/>
   <!-- DiagnosisSection -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.212-2012-04-10T000000.sch"/>
   <!-- Invitationid -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.301-2012-04-10T000000.sch"/>
   <!-- Complications -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.305-2014-07-15T000000.sch"/>
   <!-- Severityofcomplication -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.306-2014-07-15T000000.sch"/>
   <!-- Preparationcolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.307-2014-07-15T000000.sch"/>
   <!-- Dosageandtypeofpreparation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.308-2012-04-10T000000.sch"/>
   <!-- Preparationasrequired -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.309-2012-04-10T000000.sch"/>
   <!-- Bostonbowelpreparationscale -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.310-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscalerightcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.311-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscaletransversecolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.312-2014-07-15T000000.sch"/>
   <!-- Bostonbowelpreparationscaleleftcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.313-2014-07-15T000000.sch"/>
   <!-- SpecimenDiagnosisEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.315-2012-07-04T000000.sch"/>
   <!-- Verderebehandelingnoodzakelijk -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.316-2012-04-10T000000.sch"/>
   <!-- Diagnoseregel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.317-2012-04-10T000000.sch"/>
   <!-- Resultscolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.320-2014-07-15T000000.sch"/>
   <!-- Intubationofcolon -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.sch"/>
   <!-- CO2insufflation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.322-2012-04-10T000000.sch"/>
   <!-- Retractiontimecolonoscopy -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.323-2012-04-10T000000.sch"/>
   <!-- Coecumphoto -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.324-2014-02-09T000000.sch"/>
   <!-- Appendixphoto -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.325-2012-04-10T000000.sch"/>
   <!-- Ileumterminalephoto -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.326-2012-04-10T000000.sch"/>
   <!-- Interventionsprovided -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.327-2012-07-10T000000.sch"/>
   <!-- Gloucestercomfortscore -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.328-2012-04-10T000000.sch"/>
   <!-- Intubationofcoecum -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.329-2012-04-10T000000.sch"/>
   <!-- Maxlocationreached -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.330-2014-04-16T000000.sch"/>
   <!-- Rectalretroflexion -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.331-2012-04-10T000000.sch"/>
   <!-- Orderplacernumber -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.332-2012-04-10T000000.sch"/>
   <!-- SpecimencollectionMDL -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.333-2014-07-15T000000.sch"/>
   <!-- Redenafbrekingcoloscopie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.334-2012-04-10T000000.sch"/>
   <!-- Vervolgbeleidnavafbrekingcoloscopie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.335-2012-10-30T000000.sch"/>
   <!-- Uitslagpathologie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.336-2012-10-30T000000.sch"/>
   <!-- Familialriskfactor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.337-2012-10-30T000000.sch"/>
   <!-- Verslagidentificatiepathologie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.338-2014-02-24T000000.sch"/>
   <!-- Timeframeofcomplication -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.340-2014-02-09T000000.sch"/>
   <!-- Typeofpreparation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.341-2014-02-09T000000.sch"/>
   <!-- Proceduretimeout -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.342-2014-02-09T000000.sch"/>
   <!-- Reasoncecumnotreached -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.343-2014-02-09T000000.sch"/>
   <!-- Distancefromanalverge -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.344-2014-02-09T000000.sch"/>
   <!-- Totalnumberoflesions -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.345-2014-02-09T000000.sch"/>
   <!-- Lesionsnotobtained -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.346-2014-02-09T000000.sch"/>
   <!-- Reasonprocedurenotperformed -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.347-2014-02-09T000000.sch"/>
   <!-- Patientcounseling -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.370-2012-04-10T000000.sch"/>
   <!-- Followuparranged -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.371-2012-04-10T000000.sch"/>
   <!-- Planoftreatment -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.372-2014-07-15T000000.sch"/>
   <!-- ConclusionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.380-2013-06-30T000000.sch"/>
   <!-- AssertionColonoscopyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.381-2013-04-15T000000.sch"/>
   <!-- Indication -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.382-2014-04-25T000000.sch"/>
   <!-- Dysplasia -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.401-2012-04-10T000000.sch"/>
   <!-- Diametermaterial -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.402-2012-04-10T000000.sch"/>
   <!-- Primaireafwijking -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.403-2012-04-10T000000.sch"/>
   <!-- Histopathologyinterpretation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.404-2012-04-10T000000.sch"/>
   <!-- Macroscopicspecimenobservable -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.405-2012-04-10T000000.sch"/>
   <!-- Histologicalgrade -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.406-2012-04-10T000000.sch"/>
   <!-- Tumorextentofinvasion -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.407-2012-12-02T000000.sch"/>
   <!-- Haggittlevel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.408-2012-04-10T000000.sch"/>
   <!-- Kikuchilevel -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.409-2012-04-10T000000.sch"/>
   <!-- Statusofvascularinvasionbytumor -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.410-2012-04-10T000000.sch"/>
   <!-- Tumormarginstatus -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.411-2012-04-10T000000.sch"/>
   <!-- Distanceoftumorfrommargin -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.412-2013-06-30T000000.sch"/>
   <!-- Histologictype -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.413-2012-04-10T000000.sch"/>
   <!-- Rapidlyproliferatingcellmarker -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.420-2012-04-10T000000.sch"/>
   <!-- Numberofmitoticfigurespersquaremillimeter -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.421-2012-04-10T000000.sch"/>
   <!-- TNMcolonandrectumneuroendocrinetumorstaging -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.422-2012-04-10T000000.sch"/>
   <!-- Typetumordarmkanker -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.423-2012-04-10T000000.sch"/>
   <!-- Tumormarking -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.428-2013-03-08T000000.sch"/>
   <!-- Consultrevisionmaterial -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.429-2014-02-09T000000.sch"/>
   <!-- Versionnumberprotocol -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.430-2013-06-30T000000.sch"/>
   <!-- Sedationmanagement -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.502-2014-02-09T000000.sch"/>
   <!-- Sedationrelaxationmedicationadministration -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.503-2012-04-10T000000.sch"/>
   <!-- Levelofconsciousness -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.504-2012-04-10T000000.sch"/>
   <!-- Antidotumnavsedatie -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.505-2012-04-10T000000.sch"/>
   <!-- Antidotummedicationadministration -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.506-2012-04-10T000000.sch"/>
   <!-- Administrationofsedative -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.507-2013-06-30T000000.sch"/>
   <!-- SpecimenMacroscopicObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.550-2014-02-24T000000.sch"/>
   <!-- SpecimenMicroscopicObservation -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.551-2014-01-11T000000.sch"/>
   <!-- ConclusionPathologyEntry -->
   <include href="include/2.16.840.1.113883.2.4.3.36.10.591-2012-07-04T000000.sch"/>

</schema>
